.test-5::-webkit-scrollbar {/*滚动条整体样式*/
    width: 10px;     /*高宽分别对应横竖滚动条的尺寸*/
    height: 1px;
}
.test-5::-webkit-scrollbar-thumb {/*滚动条里面小方块*/
        border-radius: 10px;
background-color: #F90;
background-image: -webkit-linear-gradient(45deg, rgba(255, 255, 255, .2) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, .2) 50%, rgba(255, 255, 255, .2) 75%, transparent 75%, transparent);
    }
.test-5::-webkit-scrollbar-track {/*滚动条里面轨道*/
        -webkit-box-shadow: inset 0 0 5px rgba(0,0,0,0.2);
        /*border-radius: 10px;*/
        background: #EDEDED;
    }





#Snow{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 99999;
    background: rgba(125,137,95,0.1);
    pointer-events: none;
}



#myposts .PostList {
    background: #000;
    padding: 20px;
    /* border: 1px solid #dedede; */
    margin: 0 0 -1px 0!important;
}

.day .postTitle2 {
    color: #66ccff;
}

#yiyan{
    color:#fff;
    background:#000;
    opacity:0.6;
    width:40%;
    padding:10px;
}

body{
background: url('https://i.loli.net/2018/11/10/5be6be04338b8.jpg');
    background-repeat:no-repeat;
   background-position:50% 20%;
background-attachment:fixed
}

#blogTitle{
background:transparent;
}

#navigator {

    opacity: 0.6;
    background-color: #000;
border: 0px solid #138cca;

}
.day {

    background: #000;
    padding: 20px;
    border: 0px solid #dedede;
    margin-bottom: -1px;

}

#mainContent {

    opacity: 0.6;

}



#blogCalendar {

    opacity: 0.6;
    background: #000;

}











#sidebar_search {

    background: #000;

}

.catListTitle {

    display: none;

}

#widget_my_zzk {
padding: 15px 0px 15px 15px;
    border-left: 0px solid #dedede;
    border-right: 0px solid #dedede;
}

#widget_my_google {
display:none;
}

#sidebar_search {

    background: #000;
    opacity: 0.6;

}

input::-moz-focus-inner {

    border: 0;
    padding: 0;

}
#btnZzk {

}
#btnZzk {

    background: #9999ff;

}

#under_post_news {

    display: none;

}

#under_post_kb {

    display: none;

}

#comment_form_container {

    background: #000;
    border: 0px solid #dedede;

}


#topics {

    background: #000;
    border: 0px solid #dedede;

}

/*
 代码高亮开始，使用了一个叫Monokai Sublime的黑色主题皮肤，直接拿过来还不行，有一些样式冲突，还要自己稍微改一些地方
Monokai Sublime style. Derived from Monokai by noformnocontent https://nn.mit-license.org/
*/
pre {
/*控制代码不换行*/
    white-space: pre;
    word-wrap: normal;
}
.cnblogs-markdown .hljs {
    display: block;
    overflow-x: auto;
    padding: 0.5em;
    background: #23241f !important;
    color: #FFF;
    white-space: pre;
    word-break: normal;
}

.hljs,
.hljs-tag,
.hljs-subst {
  color: #f8f8f2;
}

.hljs-strong,
.hljs-emphasis {
  color: #a8a8a2;
}

.hljs-bullet,
.hljs-quote,
.hljs-number,
.hljs-regexp,
.hljs-literal,
.hljs-link {
  color: #ae81ff;
}

.hljs-code,
.hljs-title,
.hljs-section,
.hljs-selector-class {
  color: #a6e22e;
}

.hljs-strong {
  font-weight: bold;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-name,
.hljs-attr {
  color: #f92672;
}

.hljs-symbol,
.hljs-attribute {
  color: #66d9ef;
}

.hljs-params,
.hljs-class .hljs-title {
  color: #f8f8f2;
}

.hljs-string,
.hljs-type,
.hljs-built_in,
.hljs-builtin-name,
.hljs-selector-id,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-addition,
.hljs-variable,
.hljs-template-variable {
  color: #e6db74;
}

.hljs-comment,
.hljs-deletion,
.hljs-meta {
  color: #75715e;
}

#blog_nav_sitehome {

    display: none;

}


#sidebar_postarchive {

    background: #000;
    opacity: 0.6;
 border: 0px solid #dedede;
}
.sidebar-block ul {

    border: 0px solid #dedede;
}

.entrylistItem {

    background: #000;
    border: 0px solid #dedede;

}

#div_digg {

    display: none;

}

#cnblogs_post_body {

    color: #fff;

}

#topics .postTitle a {

    color: #fff;

}

a:link {

    color: #9999ff;
    text-decoration: none;

}

.dayTitle {

    background: #555;

}

#RecentCommentsBlock {
    display: none;
}

#TopFeedbackPostsBlock {

    display: none;

}




#topview_posts_wrap {
    display: none;
}

#sidebar_toptags {
    background: #000;
    opacity: 0.6;
}

#ad_text_under_commentbox {
    display: none;
}

#ad_t2 {
    display: none;
}

.c_ad_block {
    display: none;
}
div#blog-comments-placeholder {
    background: #000;
    border: 0px solid;
}
























/*simplememory*/
#google_ad_c1, #google_ad_c2 {display:none;}
.syntaxhighlighter a, .syntaxhighlighter div, .syntaxhighlighter code, .syntaxhighlighter table, .syntaxhighlighter table td, 
.syntaxhighlighter table tr, .syntaxhighlighter table tbody, .syntaxhighlighter table thead, .syntaxhighlighter table caption, 
.syntaxhighlighter textarea {
font-size: 14px!important;
}


body {
color: #000;
background: url(https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1581659095977&di=7f9512a431a49b4e8038539b498e427b&imgtype=0&src=http%3A%2F%2Fpic1.win4000.com%2Fwallpaper%2F2018-11-07%2F5be2586a48972.jpg
) fixed;
background-size: 100%;
background-repeat: no-repeat;
font-family: "Helvetica Neue",Helvetica,Verdana,Arial,sans-serif;
font-size: 12px;
min-height: 101%;
}






























body {
background-color:whitesmoke;
}     // 修改背景颜色为半透明


#home,#sideBarMain>div,#blog-sidecolumn>div>div,.catListView{
background-color:rgba(255,255,255,0);
}  // 修改其他边框的颜色




.loader-2{
    width: 195px;
    height: 195px;
    margin: 30px auto;
    position: relative;
    perspective: 97px;
    transform-type: preserve-3d;
    animation: loading-3 6.9s cubic-bezierrgb(0,0,0) infinite;
}
.loader-2 .loader-inner{
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #a10702;
    margin: -88px 0 0 -10px;
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 10;
    transform-type: preserve-3d;
    transform-origin: 50% 88px;
    transform: rotateZ(30deg);
    animation: loading-4 1.73s cubic-bezier(.6,0,.4,1) infinite;
}
.loader-2 .loader-inner:nth-child(2){
    background: #faa613;
    transform: rotateZ(15deg);
    animation-name: loading-5;
    animation-delay: 172.5ms;
}
.loader-2 .loader-inner:nth-child(3){
    background: #688e26;
    transform: rotateZ(0deg);
    animation-name: loading-6;
    animation-delay: 345ms;
}
.loader-2 .loader-inner:nth-child(4){
    background: #f44708;
    transform: rotateZ(-15deg);
    animation-name: loading-7;
    animation-delay: 517.5ms;
}
.loader-2 .loader-inner:nth-child(5){
    background: #2e294e;
    transform: rotateZ(-30deg);
    animation-name: loading-8;
    animation-delay: 690ms;
}
@keyframes loading-3{
    0%{
        transform: rotateX(30deg) rotateZ(0deg);
    }
    100%{
        transform: rotateX(30deg) rotateZ(-360deg);
    }
}
@keyframes loading-4{
    0%{
        transform: rotateZ(30deg) rotateX(10deg);
    }
    95%,100%{
        transform: rotateZ(390deg) rotateX(10deg);
    }
}
@keyframes loading-5{
    0%{
        transform: rotateZ(15deg) rotateX(10deg);
    }
    95%,100%{
        transform: rotateZ(375deg) rotateX(10deg);
    }
}
@keyframes loading-6{
    0%{
        transform: rotateZ(0deg) rotateX(10deg);
    }
    95%,100%{
        transform: rotateZ(360deg) rotateX(10deg);
    }
}
@keyframes loading-7{
    0%{
        transform: rotateZ(-15deg) rotateX(10deg);
    }
    95%,100%{
        transform: rotateZ(345deg) rotateX(10deg);
    }
}
@keyframes loading-8{
    0%{
        transform: rotateZ(-30deg) rotateX(10deg);
    }
    95%,100%{
        transform: rotateZ(330deg) rotateX(10deg);
    }
}                  











/*
 代码高亮开始，使用了一个叫Monokai Sublime的黑色主题皮肤，直接拿过来还不行，有一些样式冲突，还要自己稍微改一些地方
Monokai Sublime style. Derived from Monokai by noformnocontent https://nn.mit-license.org/
*/
pre {
/*控制代码不换行*/
    white-space: pre;
    word-wrap: normal;
}
.cnblogs-markdown .hljs {
    display: block;
    overflow-x: auto;
    padding: 0.5em;
    background: #23241f !important;
    color: #FFF;
    white-space: pre;
    word-break: normal;
}

.hljs,
.hljs-tag,
.hljs-subst {
  color: #f8f8f2;
}

.hljs-strong,
.hljs-emphasis {
  color: #a8a8a2;
}


.cnblogs_code pre {
font-family: Courier New!important;
font-size: 17px!important;
word-wrap: break-word;
white-space: pre-wrap;
}

.cnblogs_code span {
font-family: Courier New!important;
font-size: 17px!important;
line-height: 1.5!important;
}



























































































<script type="text/javascript">
function randomRange(t, i) {
    return Math.random() * (i - t) + t
}
Particle3D = function(t) {
    THREE.Particle.call(this, t),
    this.velocity = new THREE.Vector3(0, -2, 0),
    this.velocity.rotateX(randomRange( - 45, 45)),
    this.velocity.rotateY(randomRange(0, 360)),
    this.gravity = new THREE.Vector3(0, 0, 0),
    this.drag = 1
},
Particle3D.prototype = new THREE.Particle,
Particle3D.prototype.constructor = Particle3D,
Particle3D.prototype.updatePhysics = function() {
    this.velocity.multiplyScalar(this.drag),
    this.velocity.addSelf(this.gravity),
    this.position.addSelf(this.velocity)
};
var TO_RADIANS = Math.PI / 180;
THREE.Vector3.prototype.rotateY = function(t) {
    cosRY = Math.cos(t * TO_RADIANS),
    sinRY = Math.sin(t * TO_RADIANS);
    var i = this.z,
    o = this.x;
    this.x = o * cosRY + i * sinRY,
    this.z = o * -sinRY + i * cosRY
},
THREE.Vector3.prototype.rotateX = function(t) {
    cosRY = Math.cos(t * TO_RADIANS),
    sinRY = Math.sin(t * TO_RADIANS);
    var i = this.z,
    o = this.y;
    this.y = o * cosRY + i * sinRY,
    this.z = o * -sinRY + i * cosRY
},
THREE.Vector3.prototype.rotateZ = function(t) {
    cosRY = Math.cos(t * TO_RADIANS),
    sinRY = Math.sin(t * TO_RADIANS);
    var i = this.x,
    o = this.y;
    this.y = o * cosRY + i * sinRY,
    this.x = o * -sinRY + i * cosRY
};
$(function() {
    var container = document.querySelector(".snow-container");
    if (/MSIE 6|MSIE 7|MSIE 8/.test(navigator.userAgent)) {
        return
    } else {
        if (/MSIE 9|MSIE 10/.test(navigator.userAgent)) {
            $(container).css("height", $(window).height())
        }
    }
    var containerWidth = $(container).width();
    var containerHeight = $(container).height();
    var particle;
    var camera;
    var scene;
    var renderer;
    var mouseX = 0;
    var mouseY = 0;
    var windowHalfX = window.innerWidth / 2;
    var windowHalfY = window.innerHeight / 2;
    var particles = [];
    var particleImage = new Image();
    particleImage.src = "https://imjad.cn/usr/themes/dobyi/images/snow.png";  //这里改为你自己的snow.png图片位置
var snowNum=500;
function init(){
  camera=new THREE.PerspectiveCamera(75,containerWidth/containerHeight,1,10000);
  camera.position.z=1000;
  scene=new THREE.Scene();
  scene.add(camera);
  renderer=new THREE.CanvasRenderer();
  renderer.setSize(containerWidth,containerHeight);
  var material=new THREE.ParticleBasicMaterial({map:new THREE.Texture(particleImage)});
  for(var i=0;i<snowNum;i++){
    particle=new Particle3D(material);
    particle.position.x=Math.random()*2000-1000;
    particle.position.y=Math.random()*2000-1000;
    particle.position.z=Math.random()*2000-1000;
    particle.scale.x=particle.scale.y=1;
    scene.add(particle);
    particles.push(particle);
  }
  container.appendChild(renderer.domElement);
  document.addEventListener("mousemove",onDocumentMouseMove,false);
  setInterval(loop,1000/40);
}
function onDocumentMouseMove(event){
  mouseX=event.clientX-windowHalfX;
  mouseY=event.clientY-windowHalfY;
}
function loop(){
  for(var i=0;i<particles.length;i++){
    var particle=particles[i];particle.updatePhysics();
    with(particle.position){
      if(y<-1000){y+=2000}
      if(x>1000){x-=2000}
      else{
        if(x<-1000){x+=2000}
      }
      if(z>1000){z-=2000}
      else{if(z<-1000){
      z+=2000;
    }
  }
}}
camera.position.x+=(
  mouseX-camera.position.x)*0.005;
  camera.position.y+=(-mouseY-camera.position.y)*0.005;
  camera.lookAt(scene.position);
  renderer.render(scene,camera)
}
init()
});  
</script>

























body{



    cursor: url(//files.cnblogs.com/files/SingleWalker/cutecursor.ico),auto;












}






#divExpandViewArea{
    position: fixed;
    color: white;
   
    padding: 10px 10px;
    left: 1350px;
    top: 547px;
    cursor: pointer;
    opacity: 0.9;
    background-color: #68228B;
}
 
#divCollapseViewArea{
    position: fixed;
    color: white;
    
    padding: 10px 10px;
    left: 1350px;
    top: 586px;
    cursor: pointer;
    opacity: 0.9;
    background-color: #68228B;
}








/*推荐和反对*/
#div_digg {
    padding: 10px;
    position: fixed;
    _position: absolute;
    z-index: 1000;
    bottom: 20px;
    right: 0;
    _right: 30px;
    border: 1px solid #D9DBE1;
    background-color: #FFFFFF;
    filter: alpha(Opacity=80);
    -moz-opacity: 1;
    opacity: 1;
}

.icon_favorite {
    background: transparent url('https://files.cnblogs.com/files/jackson0714/kj.gif') no-repeat 0 0;
    padding-left: 29px;
}





/* adblock */
#ad_t2 {
    display: none;
}
.c_ad_block {
    display: none;


















/* 设置签名格式 */
#MySignature {
    display: none;
    background-color: #B2E866;
    border-radius: 10px;
    box-shadow: 1px 1px 1px #6B6B6B;
    padding: 10px;
    line-height: 1.5;
    text-shadow: 1px 1px 1px #FFF;
    font-size: 16px;
    font-family: 'Microsoft Yahei';
}


}








body {
    cursor: url(//files.cnblogs.com/files/SingleWalker/cutecursor.ico),auto;
}